Last Comment Bug 850967 - test errors under debug builds
: test errors under debug builds
Status: RESOLVED FIXED
[qa-]
:
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: Firefox 22
Assigned To: scaraveo
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-13 19:59 PDT by Shane Caraveo (:mixedpuppy)
Modified: 2013-06-14 12:03 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
strict fixes (4.15 KB, patch)
2013-03-13 19:59 PDT, Shane Caraveo (:mixedpuppy)
markh: review+
Details | Diff | Splinter Review

Description Shane Caraveo (:mixedpuppy) 2013-03-13 19:59:45 PDT
Created attachment 724750 [details] [diff] [review]
strict fixes

while investigating the several test issues we have, in the console I saw various js strict errors as well as one error on Services.cache.  This fixes those issues.
Comment 1 Shane Caraveo (:mixedpuppy) 2013-03-19 11:51:17 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/1f9af1a5c45b
Comment 2 Ed Morley [:emorley] 2013-03-20 04:54:15 PDT
https://hg.mozilla.org/mozilla-central/rev/1f9af1a5c45b

Note You need to log in before you can comment on or make changes to this bug.